Subject: Re: bug#46964: [ELPA]: [PATCH] Replace modus-*-theme with modus-themes from :core

From: Protesilaos Stavrou <[email-masked]>
Date: Thu, 11 Mar 2021 10:27:24 +0200

On 2021-03-10, 22:07 -0500, Stefan Monnier <[email-masked]> wrote:

>>> I suggest a 3 step process:
>>>
>>> 1- Add the new `modus-themes` GNU ELPA package.
>>> 2- Update the `modus-*-theme`(s) by replacing them with placeholders
>>>    (labeled as obsolete) that depend on `modus-themes`.
>>> 3- Remove the old `modus-*-theme`(s) packages.
>>>
>>> There's no hurry between each step, and we could wait a year or two
>>> before taking step 3.
>>>
>>> We could even have a step 2½ which replaces the `modus-*-theme`(s) with
>>> packages which remove themselves after installation, so upgrading the
>>> package would remove it ;-)
>>
>> I think the upgrade process should also remove other installed theme
>> packages ;).
>
> You got my vote,

Sounds promising!  Though Basil's suggestion has an implicit dependency
on 'M-x fireworks'.

At any rate, I do not know how to implement such in-place substitutes.
Can you please point me to the relevant documentation or some previous
case that I could study?  Then I will try to produce a patch.

[ I don't want to burden you with extra work. ]

-- 
Protesilaos Stavrou
protesilaos.com